# Created by pyp2rpm-3.3.4
%global pypi_name zm-py

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        1%{?dist}
Summary:        A loose python wrapper around the ZoneMinder REST API

License:        Apache Software License
URL:            https://github.com/rohankapoorcom/zm-py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests) >= 2
BuildRequires:  python3dist(setuptools)

%description
 [![image]( loose python wrapper around the [ZoneMinder]() API. As time goes on
additional functionality will be added to this API client.zm-py is based on
code that was originally part of [Home Assistant](). Historical sources and
authorship information is available as part of the Home Assistant project:

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests) >= 2
%description -n python3-%{pypi_name}
 [![image]( loose python wrapper around the [ZoneMinder]() API. As time goes on
additional functionality will be added to this API client.zm-py is based on
code that was originally part of [Home Assistant](). Historical sources and
authorship information is available as part of the Home Assistant project:


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/tests
%{python3_sitelib}/zoneminder
%{python3_sitelib}/zm_py-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Oct 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- Initial package.
